/*
 * (c) 2025 Jens Mueller
 *
 * JBASICODE
 *
 * Base class of stack items
 */

package jbasicode.bc;


public class BCStackItem
{
  private int     lineIdx;
  private Integer bcLineNum;
  private int     charIdx;
  private String  text;


  public BCStackItem( int lineIdx, Integer bcLineNum, int charIdx )
  {
    this.lineIdx   = lineIdx;
    this.bcLineNum = bcLineNum;
    this.charIdx   = charIdx;
    this.text      = "";
    if( bcLineNum != null ) {
      if( bcLineNum.intValue() > 0 ) {
	this.text = String.format( "(%d)", bcLineNum );
      }
    }
  }


  public Integer getBCLineNumber()
  {
    return this.bcLineNum;
  }


  public int getCharIndex()
  {
    return this.charIdx;
  }


  public int getLineIndex()
  {
    return this.lineIdx;
  }


  @Override
  public String toString()
  {
    return this.text;
  }
}
