/*
 * (c) 2025 Jens Mueller
 *
 * JBASICODE
 *
 * Stack item of GOSUB instruction
 */

package jbasicode.bc;


public class GosubStackItem extends BCStackItem
{
  private String text;


  public GosubStackItem( int targetBCLineNum, BCStackItem item )
  {
    super(
	item.getLineIndex(),
	item.getBCLineNumber(),
	item.getCharIndex() );
    this.text = String.format(
			"GOSUB %d %s",
			targetBCLineNum,
			super.toString() );
  }


  @Override
  public String toString()
  {
    return this.text;
  }
}
