/*
 * (c) 2025 Jens Mueller
 *
 * JBASICODE
 *
 * Exception for jumping to another line und position
 */

package jbasicode.bc;


public class JumpException extends Exception
{
  private int lineIdx;
  private int charIdx;


  public JumpException( BCStackItem item )
  {
    this.lineIdx = item.getLineIndex();
    this.charIdx = item.getCharIndex();
  }


  public int getCharIndex()
  {
    return this.charIdx;
  }


  public int getLineIndex()
  {
    return this.lineIdx;
  }
}
