/*
 * (c) 2025 Jens Mueller
 *
 * JBASICODE
 *
 * Genel IO Utility Functions
 */

package jbasicode.etc;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.Closeable;
import java.io.IOException;


public class IOUtil
{
  public static void closeSilently( Closeable closable )
  {
    if( closable != null ) {
      try {
	closable.close();
      }
      catch( IOException ex ) {}
    }
  }


  public static File readPathFromFile( File file )
  {
    File rv = null;
    try( BufferedReader in = new BufferedReader( new FileReader( file ) ) ) {
      String line = in.readLine();
      if( line != null ) {
	line = line.trim();
	if( !line.isEmpty() ) {
	  rv = new File( line );
	}
      }
    }
    catch( IOException ex ) {}
    return rv;
  }


  public static void writePathToFile( File file, File pathToStore )
  {
    File rv = null;
    if( pathToStore != null ) {
	
      try( BufferedWriter out = new BufferedWriter(
					new FileWriter( file ) ) )
      {
	out.write( pathToStore.getPath() );
	out.newLine();
      }
      catch( IOException ex ) {}
    }
  }


	/* --- Constructor --- */

  private IOUtil()
  {
    // empty
  }
}
